Subject: bug#25690: make install-html broken

From: Eric Blake <[email-masked]>
Date: Mon, 13 Feb 2017 11:23:46 -0600

On 02/11/2017 03:52 PM, Assaf Gordon wrote:

>> Attempts to do 'make install-html' fail with:
>>
>> make[1]: Leaving directory '/usr/src/sed-4.4-1.i686/build'
>> Making install-html in po
>> make[1]: Entering directory '/usr/src/sed-4.4-1.i686/build/po'
>> make[1]: *** No rule to make target 'install-html'.  Stop.
>> make[1]: Leaving directory '/usr/src/sed-4.4-1.i686/build/po'
>> make: *** [Makefile:3027: install-html-recursive] Error 1

> The switch to non-recursive makefiles was modeld as closely as
> possible after coreutils, and I see the same error when trying
> 'make install-html' in coreutils.
> 
> Not that this makes it OK, but it hints that this is not
> specific problem in sed's build system.

I worked around it while packaging sed for Cygwin by doing:

--- origsrc/sed-4.4/po/Makefile.in.in   2017-02-03 19:15:46.000000000 -0600
+++ src/sed-4.4/po/Makefile.in.in       2017-02-11 09:30:51.544239400 -0600
@@ -473,3 +473,5 @@ force:
 # Tell versions [3.59,3.63) of GNU make not to export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
+
+install-html:

so maybe that argues that the bootstrap process should tweak
po/Makefile.in.in and/or makevars in such a manner.  I don't know if it
is a weakness of gettext in general that it's makefiles do not play
nicely with all of the usual supported targets.

> 
> If there's a suggested solution, I'm happy to use it.
> Otherwise, I'll try to dig in and see how to fix it,
> but it might take a bit longer.

Maybe one of the gettext developers has an idea, since it is the
generated po/Makefile that needs the tweak?  Adding them in cc.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org